<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 5</H1>

<P>
Numéro du papier: 5

<P>Nom du papier et auteurs: Calcul distribué de champs de données
<P>    Jean-Louis Giavitto, Olivier Michel.

<H2>1</H2>

<P>
Nom du rapporteur: Jean Goubault-Larrecq.

<P>Confiance en la note: (de 1 à 3) 3
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 4
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs:
<P>    Il s'agit d'un bon article non technique présentant
tant les sémantiques que la réalisation pratique
d'un système distribué résolvant des équations
8 1/2.  J'insiste sur l'aspect non technique : on reste
un peu sur sa faim quant aux détails, tant sémantiques
que pratiques.  Les sémantiques $[[\_]]_i$, $0\leq i\leq 2$,
ne sont pas décrites, par exemple, et le lecteur est
constamment prié d'imaginer ce qu'il mettrait \`a la
place des définitions manquantes des auteurs.  Alors
que les descriptions de ${\cal L}_0$ et ${\cal L}_1$
permettent encore de se faire une idée, celle de ${\cal L}_2$
est presque totalement élidée.  Le paragraphe allant du bas
de la page 13 au haut de la page 14 est en particulier extr\^emement
allusif (définition de $\cal E$ ?).  De plus, il est toujours
possible qu'une expression de ${\cal L}_1$, m\^eme réduite,
reste en grande partie intensionnelle ($map [+] 1 2$, par ex.).
Comment fait-on pour la réduire ?  Ou bien une erreur est-elle
signalée ?  Ce genre de questions n'a pas de réponse dans
l'article.

<P>Commentaires réservés au comité de programme:

<H2>2</H2>

<P>Nom du rapporteur: Laurent Dami

<P>Confiance en la note: (de 1 à 3) 2
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 2
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs:


<P>Ce papier présente une apparence de sérieux, mais je m'avoue
totalement incapable de juger la qualité du travail, en raison de
nombreuses lacunes dans l'exposé. Tout le discours est organisé autour
des pensées propres aux auteurs, sans un effort didactique suffisant
pour présenter le système aux novices, et pour rendre le papier
accessible à quelqu'un qui n'aurait pas lu les travaux antérieurs de
cette équipe (réfs 4, 5, 6, 11, 12).  Par ex. les acronymes GBF, HPF
ne sont pas nécessairement connus de tout un chacun. En l'absence
d'une syntaxe et sémantique complète, j'ai des doutes et inquiétudes
sur la cohérence globale des constructions linguistiques proposées.

<P>Ex:
<P>- quelle est la signature de l'opérateur "map". Il semble utilisé
parfois avec un opérateur binaire comme argument, parfois avec un
opérateur unaire. S'agit-il de surcharge? de curryfication? 

<P>- "merge": le nom est particulièrement mal choisi, puisqu'il laisse
croire à une opération symétrique alors qu'en l'occurence il s'agit
d'une "union asymetrique".

<P>- Preuves? les propriétées énoncées dans la Fig. 3 (commutation du
diagramme) et en bas de page 11 sont-elles prouvées? dans des travaux
antérieurs? si oui, lesquels?


<P>Par ailleurs, la distinction entre les travaux antérieurs et la
contribution propre de cet article n'est pas clairement établie. Les
langages L1, L2, L3 faisaient-ils déjà partie de "81/2"? Si non,
sommes-nous assurés que ces 3 langages respectent la sémantique de
départ de "81/2"?

<P>En résumé, le papier contient probablement des éléments de qualité,
mais en l'état me paraît impropre à la publication; j'encourage les
auteurs à revoir leur copie.

<P>Pour finir, quelque typos:
<P>p2: résultats sont encourageantS
<P>p3, fig 1: associé à chaque sommet S (pas sommets)
<P>p10: ne prend pas une forme (pas prends)
<P>p12: prédicats élémentaires correspondant à une (pas correspondants)
<P>p14: d'autres choix auraiENt été possibles


</BODY>
</HTML>
